ReferenceDocumentsDocumentidSectionsSectionidGeneration lock
Set section regeneration protection
Set section regeneration protection - PATCH /documents/{documentId}/sections/{sectionId}/generation-lock. DocDealer REST API reference.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
documentId*string
sectionId*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PATCH "https://example.com/documents/string/sections/string/generation-lock" \ -H "Content-Type: application/json" \ -d '{ "generationLocked": true }'{ "generationLocked": true, "sectionId": "string"}